Subject: I-D Action: draft-bashandy-isis-bgp-edge-node-frr-00.txt

From: [email-masked]
Date: Mon, 05 Mar 2012 13:49:10 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : IS-IS Extension for BGP FRR Protection against Edge Node Failure
	Author(s)       : Ahmed Bashandy
	Filename        : draft-bashandy-isis-bgp-edge-node-frr-00.txt
	Pages           : 10
	Date            : 2012-03-05

Consider a BGP free core scenario where traffic is tunneled between
edge routers. Suppose the edge BGP speakers PE1, PE2,..., PEn know
about a prefix P/m via the external routers CE1, CE2,..., CEm.  If
the edge router PEi crashes or becomes totally disconnected from the
core, it desirable for a core router "P" that is carrying traffic to
the failed edge router PEi to immediately restore traffic by re-
routing packets originally tunneled to PEi and destined to the prefix
P/m to one of the other edge routers that advertised P/m, say PEj,
until BGP re-converges. If the packets originally flowing to the
failed edge router PEi are labeled, then the repairing core router P
router must swap the label advertised by the failed edge router PEi
for the prefix P/m with the label advertised for the same prefix by
the edge router PEj before re-routing the packet through an LSP
terminating PEj. The document proposes an extension to IS-IS protocol
to inform core routers about the repair edge router PEj and, for
labeled packets, the label that needs to be pushed/swapped before
sending the packet into the tunnel terminating on PEj

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-bashandy-isis-bgp-edge-node-frr-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-bashandy-isis-bgp-edge-node-frr-00.txt